com.trendmicro.ds.platform.rest.api

## Interface ITenantDatabaseServerAPI

-     @Path(value="/tenantdatabaseservers")
      public interface ITenantDatabaseServerAPI

  Interface for the Tenant Database API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateTenantDatabaseServerResponse` | `addTenantDatabaseServer(CreateTenantDatabaseServerRequest tenantDatabaseServerRequest)` Add a new Tenant Database Server.
    `DeleteTenantDatabaseServerResponse` | `deleteTenantDatabaseServerById(java.lang.Integer tenantDatabaseServerId, java.lang.String sessionId)` Delete tenant database server by ID.
    `TenantDatabaseServerListing` | `getAllTenantDatabaseServers(java.lang.String sessionId)` Retrieve information about all Tenant Database Servers.
    `TenantDatabaseServerElement` | `getTenantDatabaseServer(java.lang.Integer tenantDatabaseServerId, java.lang.String sessionId)` Get a specific Tenant Database Server.
    `UpdateTenantDatabaseServerResponse` | `updateTenantDatabaseServer(java.lang.Integer tenantDatabaseServerId, UpdateTenantDatabaseServerRequest updateTenantDatabaseServerRequest)` Update Tenant Database Server information.

- - ### Method Detail

    - #### getAllTenantDatabaseServers

          @GET
           @Produces(value={"application/xml","application/json"})
          TenantDatabaseServerListing getAllTenantDatabaseServers(@QueryParam(value="sID")
                                                                                                                                java.lang.String sessionId)
                                                                                                                         throws java.lang.Exception

      Retrieve information about all Tenant Database Servers.
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        The collection of tenant database servers.
      Throws:
        `java.lang.Exception`

    - #### getTenantDatabaseServer

          @GET
           @Path(value="/{tenantDatabaseServerId}")
           @Produces(value={"application/xml","application/json"})
          TenantDatabaseServerElement getTenantDatabaseServer(@PathParam(value="tenantDatabaseServerId")
                                                                                                                                                                      java.lang.Integer tenantDatabaseServerId,
                                                                                                                                                                      @QueryParam(value="sID")
                                                                                                                                                                      java.lang.String sessionId)
                                                                                                                                                               throws java.lang.Exception

      Get a specific Tenant Database Server.
      Parameters:
        `tenantDatabaseServerId` - Unique identifier of the Tenant Database Server.
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        The information about the requested Tenant Database Server.
      Throws:
        `java.lang.Exception`

    - #### addTenantDatabaseServer

          @POST
           @Consumes(value={"application/xml","application/json"})
           @Produces(value={"application/xml","application/json"})
          CreateTenantDatabaseServerResponse addTenantDatabaseServer(CreateTenantDatabaseServerRequest tenantDatabaseServerRequest)
                                                                                                                                                                                      throws java.lang.Exception

      Add a new Tenant Database Server.
      Parameters:
        `tenantDatabaseServerRequest` - The request parameters.
      Returns:
        A response with status `200 OK` and a body containing response information when adding a Tenant Database Server succeeds. It will return a response with status `400 Bad Request` and a body containing an `ErrorMessage` when mandatory parameters are missing and/or validation fails.
      Throws:
        `java.lang.Exception`

    - #### updateTenantDatabaseServer

          @PUT
           @Path(value="/{tenantDatabaseServerId}")
           @Consumes(value={"application/xml","application/json"})
           @Produces(value={"application/xml","application/json"})
          UpdateTenantDatabaseServerResponse updateTenantDatabaseServer(@PathParam(value="tenantDatabaseServerId")
                                                                                                                                                                                                                                         java.lang.Integer tenantDatabaseServerId,
                                                                                                                                                                                                                                         UpdateTenantDatabaseServerRequest updateTenantDatabaseServerRequest)
                                                                                                                                                                                                                                  throws java.lang.Exception

      Update Tenant Database Server information.

      Note: Only state information modification is supported for the primary server.

      Parameters:
        `tenantDatabaseServerId` - Unique identifier of the Tenant Database Server to update.
        `updateTenantDatabaseServerRequest` - The request parameters.
      Returns:
        A response with status `200 OK` and a body containing response information when the update succeeds. It will return a response with status `400 Bad Request` and a body containing an `ErrorMessage` if parameters are invalid.
      Throws:
        `java.lang.Exception`

    - #### deleteTenantDatabaseServerById

          @DELETE
           @Path(value="/{tenantDatabaseServerId}")
           @Produces(value={"application/xml","application/json"})
          DeleteTenantDatabaseServerResponse deleteTenantDatabaseServerById(@PathParam(value="tenantDatabaseServerId")
                                                                                                                                                                                       java.lang.Integer tenantDatabaseServerId,
                                                                                                                                                                                       @QueryParam(value="sID")
                                                                                                                                                                                       java.lang.String sessionId)
                                                                                                                                                                                throws java.lang.Exception

      Delete tenant database server by ID.

      Note: The operation is not supported for the primary database server.

      Parameters:
        `tenantDatabaseServerId` - Unique identifier of the tenant database server to delete.
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        A response with status `200 OK` and a body containing response information when deletion is successful. If the database server ID is null or empty, it will return a response with status `400 Bad Request` and a body containing an `ErrorMessage`. If the database server with the given ID does not exist, it will return a response with status `404 Not Found`.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.